libvisio::VSDLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions

| VSDLineStyle ()
| VSDLineStyle (double w, Colour col, unsigned char p, unsigned char sm, unsigned char em, unsigned char c, double r, long qlc, long qlm)
| VSDLineStyle (const VSDLineStyle &style)=default
| ~VSDLineStyle ()
VSDLineStyle & | operator= (const VSDLineStyle &style)=default
void | override (const VSDOptionalLineStyle &style, const VSDXTheme *theme)

## Public Attributes

double | width
Colour | colour
unsigned char | pattern
unsigned char | startMarker
unsigned char | endMarker
unsigned char | cap
double | rounding
long | qsLineColour
long | qsLineMatrix

## Constructor & Destructor Documentation

## VSDLineStyle() [1/3]

libvisio::VSDLineStyle::VSDLineStyle | ( |  | ) |

inline

Referenced by operator=(), and VSDLineStyle().

## VSDLineStyle() [2/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | double | w,
|  | Colour | col,
|  | unsigned char | p,
|  | unsigned char | sm,
|  | unsigned char | em,
|  | unsigned char | c,
|  | double | r,
|  | long | qlc,
|  | long | qlm )

inline

## VSDLineStyle() [3/3]

libvisio::VSDLineStyle::VSDLineStyle | ( | const VSDLineStyle & | style | ) |

default

## ~VSDLineStyle()

libvisio::VSDLineStyle::~VSDLineStyle | ( |  | ) |

inline

## Member Function Documentation

## operator=()

VSDLineStyle & libvisio::VSDLineStyle::operator= | ( | const VSDLineStyle & | style | ) |

default

## override()

void libvisio::VSDLineStyle::override | ( | const VSDOptionalLineStyle & | style,
|  | const VSDXTheme * | theme )

inline

## Member Data Documentation

## cap

unsigned char libvisio::VSDLineStyle::cap

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

## colour

Colour libvisio::VSDLineStyle::colour

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

## endMarker

unsigned char libvisio::VSDLineStyle::endMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

## pattern

unsigned char libvisio::VSDLineStyle::pattern

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

## qsLineColour

long libvisio::VSDLineStyle::qsLineColour

Referenced by override(), VSDLineStyle(), and VSDLineStyle().

## qsLineMatrix

long libvisio::VSDLineStyle::qsLineMatrix

Referenced by override(), VSDLineStyle(), and VSDLineStyle().

## rounding

double libvisio::VSDLineStyle::rounding

Referenced by override(), VSDLineStyle(), and VSDLineStyle().

## startMarker

unsigned char libvisio::VSDLineStyle::startMarker

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

## width

double libvisio::VSDLineStyle::width

Referenced by libvisio::VSDContentCollector::_lineProperties(), override(), VSDLineStyle(), and VSDLineStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h